Bug 466646 - cp man page: "-Z" option on the same line as "-x, --one-file-system"
cp man page: "-Z" option on the same line as "-x, --one-file-system"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-11 21:10 EDT by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version: coreutils-6.12-14.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-12 12:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2008-10-11 21:10:52 EDT
Version-Release number of selected component (if applicable):
* Fedora release 9.92 (Rawhide)
* coreutils-6.12-13.fc10.i386

How reproducible:
Always.

Steps to Reproduce:
1. man cp

Actual results:
The "-Z" option is on the same line as the "-x" option:

-x, --one-file-system
stay on this file system -Z, --context=CONTEXT (SELinux) set SELinux security context of copy to CONTEXT

Expected results:
-x, --one-file-system
stay on this file system

-Z, --context=CONTEXT
(SELinux) set SELinux security context of copy to CONTEXT

Additional info:
* Same problem exists in Fedora 9, coreutils-6.10-30.fc9.i386

* Problem does not exist in Red Hat Enterprise Linux 5.2, coreutils-5.97-14.el5
Comment 1 Ondrej Vasik 2008-10-12 12:47:50 EDT
Thanks for report, fixed in coreutils-6.10-32.fc9 and coreutils-6.12-14.fc10,
closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.